# Import

Import customer records from files and enroll them into a campaign in a single workflow.

## Import Targets

> Import customers from file and enroll them into the campaign.

```json
{"openapi":"3.1.0","info":{"title":"Umanize API","version":"0.1.0"},"tags":[{"name":"campaign-import","description":"Import customer records from files and enroll them into a campaign in a single workflow."}],"servers":[{"url":"https://api.aurorasuite.ai","description":"Production"}],"security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Use a JWT bearer token in the Authorization header."},"apiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key","description":"Use an API key for server-to-server integrations."}},"schemas":{"Body_import_targets_campaigns__campaign_id__targets_import_post":{"properties":{"file":{"type":"string","format":"binary","title":"File"}},"type":"object","required":["file"],"title":"Body_import_targets_campaigns__campaign_id__targets_import_post"},"CampaignTargetsImportResult":{"properties":{"total":{"type":"integer","title":"Total"},"created":{"type":"integer","title":"Created"},"updated":{"type":"integer","title":"Updated"},"skipped":{"type":"integer","title":"Skipped"},"targets_created":{"type":"integer","title":"Targets Created"},"targets_skipped":{"type":"integer","title":"Targets Skipped"},"errors":{"items":{"$ref":"#/components/schemas/CustomerImportError"},"type":"array","title":"Errors"},"target":{"$ref":"#/components/schemas/CampaignTargetWithCustomerOut"}},"type":"object","required":["total","created","updated","skipped","targets_created","targets_skipped"],"title":"CampaignTargetsImportResult"},"CustomerImportError":{"properties":{"row":{"type":"integer","title":"Row"},"field":{"title":"Field","type":"string"},"message":{"type":"string","title":"Message"}},"type":"object","required":["row","message"],"title":"CustomerImportError"},"CampaignTargetWithCustomerOut":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"campaign_id":{"type":"string","format":"uuid","title":"Campaign Id"},"customer_id":{"type":"string","format":"uuid","title":"Customer Id"},"assigned_agent_id":{"title":"Assigned Agent Id","type":"string","format":"uuid"},"stage":{"type":"string","title":"Stage"},"calls_made":{"type":"integer","title":"Calls Made"},"whatsapp_sent":{"type":"integer","title":"Whatsapp Sent"},"email_sent":{"type":"integer","title":"Email Sent"},"ai_label":{"type":"string","enum":["positive","negative","neutral","unknown"],"title":"Ai Label"},"ai_score":{"title":"Ai Score","type":"number"},"ai_reason":{"title":"Ai Reason","type":"string"},"goal_analysis":{"title":"Goal Analysis","additionalProperties":true,"type":"object"},"analysis_source":{"title":"Analysis Source","type":"string"},"call_successful":{"title":"Call Successful","type":"string"},"call_summary_title":{"title":"Call Summary Title","type":"string"},"transcript_summary":{"title":"Transcript Summary","type":"string"},"agent_goal_result":{"title":"Agent Goal Result","type":"string"},"agent_goal_rationale":{"title":"Agent Goal Rationale","type":"string"},"customer_sentiment":{"title":"Customer Sentiment","type":"string"},"customer_sentiment_rationale":{"title":"Customer Sentiment Rationale","type":"string"},"follow_up_required":{"title":"Follow Up Required","type":"boolean"},"follow_up_required_rationale":{"title":"Follow Up Required Rationale","type":"string"},"escalation_required":{"title":"Escalation Required","type":"boolean"},"escalation_required_rationale":{"title":"Escalation Required Rationale","type":"string"},"campaign_goal_result":{"title":"Campaign Goal Result","type":"string"},"campaign_goal_score":{"title":"Campaign Goal Score","type":"number"},"campaign_goal_rationale":{"title":"Campaign Goal Rationale","type":"string"},"campaign_sentiment":{"title":"Campaign Sentiment","type":"string"},"campaign_sentiment_rationale":{"title":"Campaign Sentiment Rationale","type":"string"},"callback_requested":{"title":"Callback Requested","type":"boolean"},"callback_requested_rationale":{"title":"Callback Requested Rationale","type":"string"},"campaign_next_best_action":{"title":"Campaign Next Best Action","type":"string"},"campaign_analysis_updated_at":{"title":"Campaign Analysis Updated At","type":"string"},"analysis_updated_at":{"title":"Analysis Updated At","type":"string"},"last_contacted_at":{"title":"Last Contacted At","type":"string","format":"date-time"},"last_email_at":{"title":"Last Email At","type":"string","format":"date-time"},"last_conv_id":{"title":"Last Conv Id","type":"string"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"},"customer":{"$ref":"#/components/schemas/CustomerOut"}},"type":"object","required":["id","campaign_id","customer_id","stage","calls_made","whatsapp_sent","email_sent","ai_label","created_at","updated_at","customer"],"title":"CampaignTargetWithCustomerOut"},"CustomerOut":{"properties":{"customer_id":{"title":"Customer Id","type":"string","maxLength":255},"name":{"title":"Name","type":"string","maxLength":255},"surname":{"title":"Surname","type":"string","maxLength":255},"email":{"title":"Email","type":"string","format":"email"},"phone":{"title":"Phone","type":"string","maxLength":50},"status":{"title":"Status","type":"string","maxLength":50},"id":{"type":"string","format":"uuid","title":"Id"},"agent_id":{"title":"Agent Id","type":"string","format":"uuid"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["id","created_at","updated_at"],"title":"CustomerOut"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/campaigns/{campaign_id}/targets:import":{"post":{"tags":["campaign-import"],"summary":"Import Targets","description":"Import customers from file and enroll them into the campaign.","operationId":"import_targets_campaigns__campaign_id__targets_import_post","parameters":[{"name":"campaign_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Campaign Id"}},{"name":"skip_if_in_other_campaigns","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Skip If In Other Campaigns"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"title":"X-Api-Key","type":"string"}}],"requestBody":{"required":true,"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Body_import_targets_campaigns__campaign_id__targets_import_post"}}}},"responses":{"200":{"description":"Request completed successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CampaignTargetsImportResult"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aurorasuite.ai/api-reference/campaigns/import.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
